Subject: Re: write hangs on socket shut down for writing
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Wed, 21 Apr 2004 02:36:20 -0700

On Wed, Apr 21, 2004 at 10:46:59AM +0200, Corinna Vinschen <[email-masked]> wrote:
> Did you try it with a recent Cygwin version?  I used your above test
> application and I'm getting a EPIPE (resp. a SIGPIPE) as expected.

I think I had heard that others were not seeing this failure.  I'm
attaching an strace from my test program in case that may be helpful.
Is there anything you can think of that might make a difference?
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/